datablock AudioProfile(ArrowBundleGetSound)
{
   filename = "./OOT_Get_Smallitem2.wav";
   description = AudioClosest3d;
   preload = false;
};

datablock itemData(ArrowBundleItem : printGun)
{
   image = "";
   mass = 0.1;
   density = 0.1;
   elasticity = 0.2;
   friction = 1.5;
   uiName = "Arrow Bundle";
   shapeFile = "./arrowBundle.dts";
   doColorShift = false;
   colorShiftColor = "1 1 0 1.000";
};

function ArrowBundleItem::onAdd(%this, %obj)
{
   %obj.rotate = 1;
}

function ArrowBundleItem::onPickup(%this, %obj, %col)
{
   pickupArrowBundle(%this, %obj, %col);
}

function pickupArrowBundle(%this, %obj, %col)
{
	serverPlay3D(ArrowBundleGetSound,%obj.getPosition());
	%obj.delete();
			
	%oldArrowVal = %col.client.arrows;
	%col.client.arrows = (%oldArrowVal + 15);
	%col.client.bottomPrint("<color:FFFF00>You now have<color:FFFFFF>" SPC %col.client.arrows SPC "<color:FFFF00>arrows", 3);
		
}